### Virtual Method

# FwupdPlugin Firmware check_compatible

#### Declaration [src]

    gboolean
    check_compatible (
      FuFirmware* self,
      FuFirmware* other,
      guint64 flags,
      GError** error
    )

#### Description [src]

Check a new firmware is compatible with the existing firmware.

Available since: | 1.8.4

#### Parameters

`other` | `FuFirmware`
| A `FuFirmware`.
| The data is owned by the caller of the function.
`flags` | `guint64`
| `FuFirmwareParseFlags`, e.g. `FWUPD_INSTALL_FLAG_FORCE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.